SDL_SetSurfacePalette(3)

NAME
SDL_SetSurfacePalette - Set the palette used by a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetSurfacePalette(SDL_Surface *surface, SDL_Palette *palette);

DESCRIPTION
A single palette can be shared with many surfaces.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to update.

palette
    the SDL_Palette
     structure to use.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreatePalette(3), •(3), SDL_GetSurfacePalette(3)